what if i want to add the spave i have version 3.0.7